CoyotePrincipal (Tomcat API Documentation)
Keywords: org.apache.coyote.tomcat4.CoyotePrincipal class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat4
Class CoyotePrincipal

    java.lang.Object
      org.apache.coyote.tomcat4.CoyotePrincipal

All Implemented Interfaces:
  java.security.Principal

public class CoyotePrincipal
extends java.lang.Object
implements java.security.Principal

Generic implementation of java.security.Principal that is used to represent principals authenticated at the protocol handler level.

Version:
  $Revision: 1.1 $ $Date: 2002/09/09 07:56:22 $
Author:
  Remy Maucherat

Field Summary
`protected java.lang.String` | `name` The username of the user represented by this Principal.

Constructor Summary
`CoyotePrincipal(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `toString()` Return a String representation of this object, which exposes only information that should be public.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Field Detail

### name

    protected java.lang.String name

  The username of the user represented by this Principal.

Constructor Detail

### CoyotePrincipal

    public CoyotePrincipal(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### toString

    public java.lang.String toString()

  Return a String representation of this object, which exposes only information that should be public.

  Specified by:
    `toString` in interface `java.security.Principal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.